Loading...
Searching...
No Matches
snd_tplg_stream_caps_template Struct Reference
Topology Interface

Stream Capabilities. More...

`#include <topology.h>`

## Data Fields

const char * | name
uint64_t | formats
unsigned int | rates
unsigned int | rate_min
unsigned int | rate_max
unsigned int | channels_min
unsigned int | channels_max
unsigned int | periods_min
unsigned int | periods_max
unsigned int | period_size_min
unsigned int | period_size_max
unsigned int | buffer_size_min
unsigned int | buffer_size_max
unsigned int | sig_bits

## Detailed Description

Stream Capabilities.

## Field Documentation

## buffer_size_max

unsigned int snd_tplg_stream_caps_template::buffer_size_max

max buffer size bytes

## buffer_size_min

unsigned int snd_tplg_stream_caps_template::buffer_size_min

min buffer size bytes

## channels_max

unsigned int snd_tplg_stream_caps_template::channels_max

max channels

## channels_min

unsigned int snd_tplg_stream_caps_template::channels_min

min channels

## formats

uint64_t snd_tplg_stream_caps_template::formats

supported formats SNDRV_PCM_FMTBIT_*

## name

const char* snd_tplg_stream_caps_template::name

name of the stream caps

## period_size_max

unsigned int snd_tplg_stream_caps_template::period_size_max

max period size bytes

## period_size_min

unsigned int snd_tplg_stream_caps_template::period_size_min

min period size bytes

## periods_max

unsigned int snd_tplg_stream_caps_template::periods_max

max number of periods

## periods_min

unsigned int snd_tplg_stream_caps_template::periods_min

min number of periods

## rate_max

unsigned int snd_tplg_stream_caps_template::rate_max

max rate

## rate_min

unsigned int snd_tplg_stream_caps_template::rate_min

min rate

## rates

unsigned int snd_tplg_stream_caps_template::rates

supported rates SNDRV_PCM_RATE_*

## sig_bits

unsigned int snd_tplg_stream_caps_template::sig_bits

number of bits of content

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/topology.h